/* Program nacita ze souboru cisla a po ukoncenem zadani vypise
   maximalni a minimalni zadane cislo a dale vypise soucet
   vsech cisel.
   Zadavani je ukonceno koncem souboru nebo neciselnou hodnotou
*/


#include <stdio.h>
#include <math.h>

int main()
{
 FILE *fr;
 int i, j, pocet;
 double cislo;
 double suma, min1, max1;

 fr=fopen("CISLA.TXT", "r");
 if (fr==NULL) {
   printf("\nSoubor se nepodarilo otevrit\n");
   return;
   }


 pocet=0;
 suma=0;
 do {
   i=fscanf(fr, "%lf", &cislo);
   if ((i==1) && (((j=getc(fr))!='\n') && (j!=' ') && (j!='\t'))) i=0;
      /* je-li i rovno nule, pak byla zadana chyba */
   if (i==1) {
     if (pocet==0) {
       min1=cislo; /* inicializace promennych min1 a max1 */
       max1=cislo; /* po zadani prvniho cisla             */
       }
     if (cislo<min1) min1=cislo; /* vypocet minima */
     if (cislo>max1) max1=cislo; /* vypocet maxima */
     pocet++;
     suma+=cislo; /* vypocet souctu, mozno zapsat i suma=suma+cislo */
     }
   } while (i==1); /* konec prikazu do-while */

 printf("Minimum=%f\nMaximum=%f\nSoucet=%f\nZadano %d cisel\n",
	min1, max1, suma, pocet);

 if (pocet>0)
   printf("Aritmeticky prumer zadanych cisel je %.3f\n", suma/pocet);
  else
   printf("Nebyla zadana zadna cisla\n");

 fclose(fr);
 getchar();
}
